[![BukkitBridge][Project Logo]][Website]

What is BukkitBridge?
---------------------
BukkitBridge implements both SpoutAPI and Bukkit API to allow Bukkit plugins to be used on the Spout server.

Copyright (c) 2011-2012, VanillaDev <<http://www.spout.org/>>

Who is VanillaDev?
------------------------
VanillaDev is the team behind the Vanilla and BukkitBridge projects.  
[![Zidane](http://www.gravatar.com/avatar/3b8d6171c3f15daf35328a4f04c83de9.jpg?s=48)](http://forums.spout.org/members/zidane.7/) [![ZNickq](https://secure.gravatar.com/avatar/2d9c36328b81d872ba0c5b9cb82bbfe8?d=mm&r=pg&s=48)](http://forums.spout.org/members/znickq.72/) [![Windwaker](https://secure.gravatar.com/avatar/942913bba29c93344d8a2e4da56c6bf1?d=mm&r=pg&s=48)](http://forums.spout.org/members/windwaker.47/) [![bergerkiller](https://secure.gravatar.com/avatar/231ba19298225157537674cbeb7a9f7f?s=mm&r=pg&s=48)](http://forums.spout.org/members/bergerkiller.3753/) [![DDoSQc](https://secure.gravatar.com/avatar/ec0cc434d9c9b34670d4c8845fe6bebc?s=mm&r=pg&s=48)](http://forums.spout.org/members/ddos.5524/) [![Pamelloes](http://www.gravatar.com/avatar/f2fd498b5812a83a66690bf74e82b7db.jpg?s=48)](http://forums.spout.org/members/pamelloes.38/) 

Visit our [website][Website] or get support on our [forums][Forums].  
Track and submit issues and bugs on our [issue tracker][Issues].

[![Follow us on Twitter][Twitter Logo]][Twitter][![Like us on Facebook][Facebook Logo]][Facebook][![Donate to the Vanilla project][Donate Logo]][Donate]

Source
------
The latest and greatest source can be found on [GitHub].  
Download the latest builds from [Jenkins].  [![Build Status](http://build.spout.org/job/BukkitBridge/badge/icon)][Jenkins]

License
-------
BukkitBridge is licensed under the [GNU General Public License Version 3][License].

Compiling
---------
BukkitBridge uses Maven to handle its dependencies.

* Install [Maven 2 or 3](http://maven.apache.org/download.html)  
* Checkout this repo and run: `mvn clean install`

Coding and Pull Request Formatting
----------------------------------
* Generally follow the Oracle coding standards.
* Use tabs, no spaces.
* No trailing whitespaces.
* 200 column limit for readability.
* Pull requests must compile, work, and be formatted properly.
* Sign-off on ALL your commits - this indicates you agree to the terms of our license.
* No merges should be included in pull requests unless the pull request's purpose is a merge.
* Number of commits in a pull request should be kept to *one commit* and all additional commits must be *squashed*.
* You may have more than one commit in a pull request if the commits are separate changes, otherwise squash them.
* For clarification, see the full pull request guidelines [here](http://spout.in/prguide).

**Please follow the above conventions if you want your pull request(s) accepted.**

[Project Logo]: http://cdn.spout.org/img/logo/spout_327x150.png
[License]: http://www.gnu.org/licenses/gpl.html
[Website]: http://www.spout.org
[Forums]: http://forums.spout.org
[GitHub]: https://github.com/VanillaDev/BukkitBridge
[Jenkins]: http://build.spout.org/job/BukkitBridge
[Issues]: http://issues.spout.org/browse/BukkitBridge
[Twitter]: http://spout.in/twitter
[Twitter Logo]: http://cdn.spout.org/img/button/twitter_follow_us.png
[Facebook]: http://spout.in/facebook
[Facebook Logo]: http://cdn.spout.org/img/button/facebook_like_us.png
[Donate]: https://www.paypal.com/cgi-bin/webscr?hosted_button_id=QNJH72R72TZ64&item_name=BukkitBridge+donation+%28from+github.com%29&cmd=_s-xclick
[Donate Logo]: http://cdn.spout.org/img/button/donate_paypal_96x96.png
